Loading...
Searching...
No Matches
QXmppPasswordRequest Class Reference

The QXmppPasswordRequest class represents a password request. More...

`#include <QXmppPasswordChecker.h>`

## Public Types

enum | Type { CheckPassword = 0 }
| This enum is used to describe request types.

## Public Member Functions

QString | domain () const
| Returns the requested domain.
void | setDomain (const QString &domain)
QString | password () const
| Returns the given password.
void | setPassword (const QString &password)
| Sets the given password.
QString | username () const
| Returns the requested username.
void | setUsername (const QString &username)

## Detailed Description

The QXmppPasswordRequest class represents a password request.

## Member Function Documentation

## setDomain()

void QXmppPasswordRequest::setDomain | ( | const QString & | domain | ) |

Sets the requested domain.

Parameters

  domain |

## setUsername()

void QXmppPasswordRequest::setUsername | ( | const QString & | username | ) |

Sets the requested username.

Parameters

  username |

The documentation for this class was generated from the following files:

- QXmppPasswordChecker.h
- QXmppPasswordChecker.cpp